| LicenseSpring .Net SDK 8.1.0 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Public Member Functions | Properties | List of all members
LicenseSpring.InstallationFile Class Reference

Class that holds information about setup file of your app. More...

Inheritance diagram for LicenseSpring.InstallationFile:

## Public Member Functions
| InstallationFile ()
| InstallationFile default constructor.
| InstallationFile (string url, string md5hash, string version, string requiredVersion, string releaseDate, string eulaLink, string releaseNotesLink, string channel, string size, string environment)
| InstallationFile constructor.

## Properties
string | Channel`[get]`
| Channel from where this install file comes from.Using this field and corresponding field on the backend/platform you can organize getting install files from different channels. For example for separating production and dev./staging builds, organizing technology preview builds, etc.
string | Environment`[get]`
| Environment for which this installation file is intended.
string | EulaLink`[get]`
| Link to EULA.
string | Md5Hash`[get]`
| MD5 hash of the setup file.
DateTime | ReleaseDate`[get]`
| App version release date.
string | ReleaseNotesLink`[get]`
| Link to release notes.
string | RequiredVersion`[get]`
| Application version that is required to install this app version.This functionality allows you implement intermediate updates.
uint | Size`[get]`
| Installation file size in bytes.
string | Url`[get]`
| Downloading URL.
string | Version`[get]`
| Application version.
Properties inherited from LicenseSpring.IInstallationFile

## Detailed Description

Class that holds information about setup file of your app.

Comes in handy for managing software updates.

See also `ILicenseManager.GetInstallationFile` and `ILicense.Check`

## Constructor & Destructor Documentation

## ◆ InstallationFile()

LicenseSpring.InstallationFile.InstallationFile | ( | string | url,
|  | string | md5hash,
|  | string | version,
|  | string | requiredVersion,
|  | string | releaseDate,
|  | string | eulaLink,
|  | string | releaseNotesLink,
|  | string | channel,
|  | string | size,
|  | string | environment
| ) |  |

InstallationFile constructor.

Parameters

  url | Downloading URL
  md5hash | MD5 hash of the setup file
  version | App version
  requiredVersion | Required app version
  releaseDate | App version release date
  eulaLink | Link to app EULA
  releaseNotesLink | Link to app version release notes
  channel | Setup file channel
  size | Setup file size
  environment | Setup file environment

## Property Documentation

## ◆ Channel

string LicenseSpring.InstallationFile.Channel
| get

Channel from where this install file comes from.Using this field and corresponding field on the backend/platform you can organize getting install files from different channels. For example for separating production and dev./staging builds, organizing technology preview builds, etc.

Implements LicenseSpring.IInstallationFile.

## ◆ Environment

string LicenseSpring.InstallationFile.Environment
| get

Environment for which this installation file is intended.

Implements LicenseSpring.IInstallationFile.

## ◆ EulaLink

string LicenseSpring.InstallationFile.EulaLink
| get

Link to EULA.

Implements LicenseSpring.IInstallationFile.

## ◆ Md5Hash

string LicenseSpring.InstallationFile.Md5Hash
| get

MD5 hash of the setup file.

Implements LicenseSpring.IInstallationFile.

## ◆ ReleaseDate

DateTime LicenseSpring.InstallationFile.ReleaseDate
| get

App version release date.

Implements LicenseSpring.IInstallationFile.

## ◆ ReleaseNotesLink

string LicenseSpring.InstallationFile.ReleaseNotesLink
| get

Link to release notes.

Implements LicenseSpring.IInstallationFile.

## ◆ RequiredVersion

string LicenseSpring.InstallationFile.RequiredVersion
| get

Application version that is required to install this app version.This functionality allows you implement intermediate updates.

Implements LicenseSpring.IInstallationFile.

## ◆ Size

uint LicenseSpring.InstallationFile.Size
| get

Installation file size in bytes.

Implements LicenseSpring.IInstallationFile.

## ◆ Url

string LicenseSpring.InstallationFile.Url
| get

Downloading URL.

Implements LicenseSpring.IInstallationFile.

## ◆ Version

string LicenseSpring.InstallationFile.Version
| get

Application version.

Implements LicenseSpring.IInstallationFile.

The documentation for this class was generated from the following file:

- InstallationFile.cs